import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetDashboardPoultriesService = createAsyncThunk(
  "POULTRIES_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `total_poultry_hatching_dashboard`,
      {
        params: {
          search: "filter",
          value: d.textValue,
          role: getRoleFromUrl(),
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
